<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/crazyflie_camera_equipped_entity.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">crazyflie_camera_equipped_entity.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="crazyflie__camera__equipped__entity_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef CRAZYFLIE_CAMERA_EQUIPPED_ENTITY_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define CRAZYFLIE_CAMERA_EQUIPPED_ENTITY_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;   <span class="keyword">class </span>CPerspectiveCameraEquippedEntity;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;   <span class="keyword">class </span>CEmbodiedEntity;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;   <span class="keyword">struct </span>SAnchor;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;}</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/entity/entity.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;argos3/core/simulator/physics_engine/physics_model.h&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;argos3/core/utility/math/vector3.h&gt;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;argos3/core/utility/math/quaternion.h&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">   25</a></span>&#160;   <span class="keyword">class </span><a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a> : <span class="keyword">public</span> CEntity {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa15be7def6a2f4b69a4c5f5151e4318e">   29</a></span>&#160;      <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa15be7def6a2f4b69a4c5f5151e4318e">ENABLE_VTABLE</a>();</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a07457da89c183fb15906e8f2680e63ba">CCrazyflieCameraEquippedEntity</a>(CComposableEntity* pc_parent);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;      <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a07457da89c183fb15906e8f2680e63ba">CCrazyflieCameraEquippedEntity</a>(CComposableEntity* pc_parent,</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                                       <span class="keyword">const</span> std::string&amp; str_id,</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;                                       <span class="keyword">const</span> CRadians&amp; c_aperture,</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                                       Real f_focal_length,</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;                                       Real f_range,</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                                       SInt32 n_width,</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                                       SInt32 n_height,</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;                                       SAnchor&amp; s_anchor);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a687c3210f8d4f94917f1f5975bc80012">Init</a>(TConfigurationNode&amp; t_tree);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1912bdd7a3fddec38ba8a5fba09e08f0">Enable</a>();</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa7dc5b72749c181562aad9fb80ae773f">Disable</a>();</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab11a8afe0309afdacb0c09f1e31cd9dc">   77</a></span>&#160;      <span class="keyword">inline</span> <span class="keyword">const</span> CRadians&amp; <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab11a8afe0309afdacb0c09f1e31cd9dc">GetAperture</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;         <span class="keywordflow">return</span> m_cAperture;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;      }</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#add27b17b47e642c6df4c26b667413fb6">   85</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#add27b17b47e642c6df4c26b667413fb6">SetAperture</a>(<span class="keyword">const</span> CRadians&amp; c_aperture) {</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;         m_cAperture = c_aperture;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;      }</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a7a00755337160df0f101742e70be78a4">   93</a></span>&#160;      <span class="keyword">inline</span> Real <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a7a00755337160df0f101742e70be78a4">GetFocalLength</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;         <span class="keywordflow">return</span> m_fFocalLength;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;      }</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab87c2e5d1189af138a7f0ab0a24349ab">  101</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab87c2e5d1189af138a7f0ab0a24349ab">SetFocalLength</a>(Real f_focal_length) {</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;         m_fFocalLength = f_focal_length;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;      }</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#af54bcf2a6770e7488ce7a0c39649758a">  109</a></span>&#160;      <span class="keyword">inline</span> Real <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#af54bcf2a6770e7488ce7a0c39649758a">GetRange</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;         <span class="keywordflow">return</span> m_fRange;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;      }</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160; </div>
<div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a488231da54a0b26ce44bebaca774fbbb">  117</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a488231da54a0b26ce44bebaca774fbbb">SetRange</a>(Real f_range) {</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;         m_fRange = f_range;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      }</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160; </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="comment">//      inline const SAnchor&amp; GetAnchor() const {</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="comment">//         return *m_psAnchor;</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="comment">//      }</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160; </div>
<div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa888566686500edbd680d08b0264005a">  129</a></span>&#160;      <span class="keyword">inline</span> <span class="keyword">const</span> CVector3 <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa888566686500edbd680d08b0264005a">GetPosition</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;         <span class="keywordflow">return</span> m_psAnchor-&gt;Position + CVector3(0.02, 0.0, 0.015f).Rotate(m_psAnchor-&gt;Orientation);</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;      }</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a8f3de51cd18347d1951b6e22b94c81ae">  133</a></span>&#160;      <span class="keyword">inline</span> <span class="keyword">const</span> CQuaternion <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a8f3de51cd18347d1951b6e22b94c81ae">GetOrientation</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;         <span class="keywordflow">return</span> m_psAnchor-&gt;Orientation;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;      }</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a0cee63a1ac73000c0c9641111c981194">  142</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a0cee63a1ac73000c0c9641111c981194">SetAnchor</a>(SAnchor&amp; s_anchor) {</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;         m_psAnchor = &amp;s_anchor;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;      }</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160; </div>
<div class="line"><a name="l00150"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a4b2d0513e8e06f71a2085c263a91c07e">  150</a></span>&#160;      <span class="keyword">inline</span> SInt32 <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a4b2d0513e8e06f71a2085c263a91c07e">GetImagePxWidth</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;         <span class="keywordflow">return</span> m_nImagePxWidth;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;      }</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div>
<div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#acdf4990998aa396a4a0b106d92dbfec1">  158</a></span>&#160;      <span class="keyword">inline</span> SInt32 <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#acdf4990998aa396a4a0b106d92dbfec1">GetImagePxHeight</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;         <span class="keywordflow">return</span> m_nImagePxHeight;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;      }</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160; </div>
<div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2dd65f15a0fa8f3eb343898a623e5de6">  167</a></span>&#160;      <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2dd65f15a0fa8f3eb343898a623e5de6">SetImagePxSize</a>(SInt32 n_width,</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;                                 SInt32 n_height) {</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;         m_nImagePxWidth  = n_width;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;         m_nImagePxHeight = n_height;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;         Real fAspectRatio =</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;            <span class="keyword">static_cast&lt;</span>Real<span class="keyword">&gt;</span>(m_nImagePxWidth) /</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;            <span class="keyword">static_cast&lt;</span>Real<span class="keyword">&gt;</span>(m_nImagePxHeight);</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;         m_fImageMtHeight =</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;            2.0 * m_fFocalLength * Tan(m_cAperture) /</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;            Sqrt(1.0 + fAspectRatio * fAspectRatio);</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;         m_fImageMtWidth = m_fImageMtHeight * fAspectRatio;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;      }</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1e629de7e9c223c4f73243f9db54b269">  184</a></span>&#160;      <span class="keyword">inline</span> Real <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1e629de7e9c223c4f73243f9db54b269">GetImageMtWidth</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;         <span class="keywordflow">return</span> m_fImageMtWidth;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;      }</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160; </div>
<div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2a18de864a583fe5b3953b1df60b85de">  192</a></span>&#160;      <span class="keyword">inline</span> Real <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2a18de864a583fe5b3953b1df60b85de">GetImageMtHeight</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;         <span class="keywordflow">return</span> m_fImageMtHeight;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;      }</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160; </div>
<div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a3095f50ccb95c574d0f1472db7d0364d">  196</a></span>&#160;      <span class="keyword">virtual</span> std::string <a class="code" href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a3095f50ccb95c574d0f1472db7d0364d">GetTypeDescription</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;         <span class="keywordflow">return</span> <span class="stringliteral">&quot;perspective_camera&quot;</span>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;      }</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160; </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;   <span class="keyword">private</span>:</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;      CRadians m_cAperture;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160; </div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;      Real m_fFocalLength;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;      Real m_fRange;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160; </div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;      SInt32 m_nImagePxWidth;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160; </div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;      SInt32 m_nImagePxHeight;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160; </div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;      Real m_fImageMtWidth;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160; </div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;      Real m_fImageMtHeight;</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160; </div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;      SAnchor* m_psAnchor;</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160; </div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;   };</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;}</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160; </div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html">argos::CCrazyflieCameraEquippedEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:25</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a07457da89c183fb15906e8f2680e63ba"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a07457da89c183fb15906e8f2680e63ba">argos::CCrazyflieCameraEquippedEntity::CCrazyflieCameraEquippedEntity</a></div><div class="ttdeci">CCrazyflieCameraEquippedEntity(CComposableEntity *pc_parent)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.cpp:18</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a0cee63a1ac73000c0c9641111c981194"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a0cee63a1ac73000c0c9641111c981194">argos::CCrazyflieCameraEquippedEntity::SetAnchor</a></div><div class="ttdeci">void SetAnchor(SAnchor &amp;s_anchor)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:142</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a1912bdd7a3fddec38ba8a5fba09e08f0"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1912bdd7a3fddec38ba8a5fba09e08f0">argos::CCrazyflieCameraEquippedEntity::Enable</a></div><div class="ttdeci">virtual void Enable()</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.cpp:83</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a1e629de7e9c223c4f73243f9db54b269"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a1e629de7e9c223c4f73243f9db54b269">argos::CCrazyflieCameraEquippedEntity::GetImageMtWidth</a></div><div class="ttdeci">Real GetImageMtWidth() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:184</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a2a18de864a583fe5b3953b1df60b85de"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2a18de864a583fe5b3953b1df60b85de">argos::CCrazyflieCameraEquippedEntity::GetImageMtHeight</a></div><div class="ttdeci">Real GetImageMtHeight() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:192</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a2dd65f15a0fa8f3eb343898a623e5de6"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a2dd65f15a0fa8f3eb343898a623e5de6">argos::CCrazyflieCameraEquippedEntity::SetImagePxSize</a></div><div class="ttdeci">void SetImagePxSize(SInt32 n_width, SInt32 n_height)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:167</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a3095f50ccb95c574d0f1472db7d0364d"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a3095f50ccb95c574d0f1472db7d0364d">argos::CCrazyflieCameraEquippedEntity::GetTypeDescription</a></div><div class="ttdeci">virtual std::string GetTypeDescription() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:196</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a488231da54a0b26ce44bebaca774fbbb"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a488231da54a0b26ce44bebaca774fbbb">argos::CCrazyflieCameraEquippedEntity::SetRange</a></div><div class="ttdeci">void SetRange(Real f_range)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:117</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a4b2d0513e8e06f71a2085c263a91c07e"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a4b2d0513e8e06f71a2085c263a91c07e">argos::CCrazyflieCameraEquippedEntity::GetImagePxWidth</a></div><div class="ttdeci">SInt32 GetImagePxWidth() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:150</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a687c3210f8d4f94917f1f5975bc80012"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a687c3210f8d4f94917f1f5975bc80012">argos::CCrazyflieCameraEquippedEntity::Init</a></div><div class="ttdeci">virtual void Init(TConfigurationNode &amp;t_tree)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.cpp:51</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a7a00755337160df0f101742e70be78a4"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a7a00755337160df0f101742e70be78a4">argos::CCrazyflieCameraEquippedEntity::GetFocalLength</a></div><div class="ttdeci">Real GetFocalLength() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:93</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_a8f3de51cd18347d1951b6e22b94c81ae"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#a8f3de51cd18347d1951b6e22b94c81ae">argos::CCrazyflieCameraEquippedEntity::GetOrientation</a></div><div class="ttdeci">const CQuaternion GetOrientation() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:133</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_aa15be7def6a2f4b69a4c5f5151e4318e"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa15be7def6a2f4b69a4c5f5151e4318e">argos::CCrazyflieCameraEquippedEntity::ENABLE_VTABLE</a></div><div class="ttdeci">ENABLE_VTABLE()</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_aa7dc5b72749c181562aad9fb80ae773f"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa7dc5b72749c181562aad9fb80ae773f">argos::CCrazyflieCameraEquippedEntity::Disable</a></div><div class="ttdeci">virtual void Disable()</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.cpp:92</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_aa888566686500edbd680d08b0264005a"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#aa888566686500edbd680d08b0264005a">argos::CCrazyflieCameraEquippedEntity::GetPosition</a></div><div class="ttdeci">const CVector3 GetPosition() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:129</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_ab11a8afe0309afdacb0c09f1e31cd9dc"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab11a8afe0309afdacb0c09f1e31cd9dc">argos::CCrazyflieCameraEquippedEntity::GetAperture</a></div><div class="ttdeci">const CRadians &amp; GetAperture() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:77</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_ab87c2e5d1189af138a7f0ab0a24349ab"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#ab87c2e5d1189af138a7f0ab0a24349ab">argos::CCrazyflieCameraEquippedEntity::SetFocalLength</a></div><div class="ttdeci">void SetFocalLength(Real f_focal_length)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:101</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_acdf4990998aa396a4a0b106d92dbfec1"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#acdf4990998aa396a4a0b106d92dbfec1">argos::CCrazyflieCameraEquippedEntity::GetImagePxHeight</a></div><div class="ttdeci">SInt32 GetImagePxHeight() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:158</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_add27b17b47e642c6df4c26b667413fb6"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#add27b17b47e642c6df4c26b667413fb6">argos::CCrazyflieCameraEquippedEntity::SetAperture</a></div><div class="ttdeci">void SetAperture(const CRadians &amp;c_aperture)</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:85</div></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieCameraEquippedEntity_html_af54bcf2a6770e7488ce7a0c39649758a"><div class="ttname"><a href="classargos_1_1CCrazyflieCameraEquippedEntity.html#af54bcf2a6770e7488ce7a0c39649758a">argos::CCrazyflieCameraEquippedEntity::GetRange</a></div><div class="ttdeci">Real GetRange() const</div><div class="ttdef"><b>Definition:</b> crazyflie_camera_equipped_entity.h:109</div></div>
<div class="ttc" id="anamespaceargos_html"><div class="ttname"><a href="namespaceargos.html">argos</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
